/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package DocMgmt.DocumentActivity;

import java.util.Date;
import java.net.URL;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class DocumentBuild {
    public void makeDocumentBuild() {
    }

    public void archive() {
    }

    public Object retrieve() {
        return new Object();
    }

    public void complete() {
    }

    public void cancel() {
    }

    public void mi_generateDocumentApproval() {
    }

    /**
     *@clientCardinality 1
     *@supplierCardinality 0..*
     */
    private DocumentApproval lnkUnnamed;
    private Date date;
    private URL url;
    private URL archiveURL;
    private int status;
}


